PLplot: wxPLDevDC Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Private Attributes | List of all members
wxPLDevDC Class Reference

`#include "wxwidgets.h"`

Inheritance diagram for wxPLDevDC:

## Public Member Functions
| wxPLDevDC (void)
| ~wxPLDevDC (void)
void | DrawLine (short x1a, short y1a, short x2a, short y2a)
void | DrawPolyline (short *xa, short *ya, PLINT npts)
void | ClearBackground (PLINT bgr, PLINT bgg, PLINT bgb, PLINT x1=-1, PLINT y1=-1, PLINT x2=-1, PLINT y2=-1)
void | FillPolygon (PLStream *pls)
void | BlitRectangle (wxDC *dc, int vX, int vY, int vW, int vH)
void | CreateCanvas ()
void | SetWidth (PLStream *pls)
void | SetColor0 (PLStream *pls)
void | SetColor1 (PLStream *pls)
void | SetExternalBuffer (void *buffer)
void | ProcessString (PLStream *pls, EscText *args)
void | PSDrawTextToDC (char *utf8_string, bool drawText)
void | PSSetFont (PLUNICODE fci)
Public Member Functions inherited from wxPLDevBase
| wxPLDevBase (int bcknd)
virtual | ~wxPLDevBase (void)
void | AddtoClipRegion (int x1, int y1, int x2, int y2)
virtual void | PSDrawText (PLUNICODE *ucs4, int ucs4Len, bool drawText)

## Private Attributes
wxBitmap * | m_bitmap
wxDC * | m_dc

## Additional Inherited Members
Public Attributes inherited from wxPLDevBase
const int | backend
bool | ready
bool | ownGUI
bool | showGUI
bool | waiting
bool | resizing
bool | exit
int | comcount
wxPLplotFrame * | m_frame
PLINT | xpos
PLINT | ypos
PLINT | width
PLINT | height
PLINT | bm_width
PLINT | bm_height
PLINT | xmin
PLINT | xmax
PLINT | ymin
PLINT | ymax
PLFLT | scalex
PLFLT | scaley
bool | plstate_width
bool | plstate_color0
bool | plstate_color1
PLGraphicsIn | gin
int | locate_mode
bool | draw_xhair
int | clipminx
int | clipmaxx
int | clipminy
int | clipmaxy
bool | newclipregion
int | freetype
int | smooth_text
const char ** | devDesc
const char ** | devName
int | ndev
wxBitmapType | bitmapType
wxFont * | m_font
bool | underlined
double | fontSize
double | fontScale
wxCoord | textWidth
wxCoord | textHeight
wxCoord | textDescent
wxCoord | textLeading
PLUNICODE | fci
wxCoord | superscriptHeight
wxCoord | subscriptDepth
double | lineSpacing
double | yOffset
PLINT | posX
PLINT | posY
PLFLT | rotation
PLFLT | cos_rot
PLFLT | sin_rot
PLFLT | shear
PLFLT | cos_shear
PLFLT | sin_shear
PLFLT | stride
Static Public Attributes inherited from wxPLDevBase
static const int | max_string_length = 500

## Detailed Description

Definition at line 180 of file wxwidgets.h.

## Constructor & Destructor Documentation

wxPLDevDC::wxPLDevDC | ( | void |  | ) |

Definition at line 48 of file wxwidgets_dc.cpp.

wxPLDevDC::~wxPLDevDC | ( | void |  | ) |

Definition at line 62 of file wxwidgets_dc.cpp.

## Member Function Documentation

void wxPLDevDC::BlitRectangle | ( | wxDC * | dc,
|  | int | vX,
|  | int | vY,
|  | int | vW,
|  | int | vH
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 197 of file wxwidgets_dc.cpp.

void wxPLDevDC::ClearBackground | ( | PLINT | bgr,
|  | PLINT | bgg,
|  | PLINT | bgb,
|  | PLINT | x1 = `-1`,
|  | PLINT | y1 = `-1`,
|  | PLINT | x2 = `-1`,
|  | PLINT | y2 = `-1`
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 126 of file wxwidgets_dc.cpp.

void wxPLDevDC::CreateCanvas | ( |  | ) |
| virtual

Implements wxPLDevBase.

Definition at line 209 of file wxwidgets_dc.cpp.

void wxPLDevDC::DrawLine | ( | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 85 of file wxwidgets_dc.cpp.

void wxPLDevDC::DrawPolyline | ( | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 101 of file wxwidgets_dc.cpp.

void wxPLDevDC::FillPolygon | ( | PLStream * | pls | ) |
| virtual

Implements wxPLDevBase.

Definition at line 165 of file wxwidgets_dc.cpp.

void wxPLDevDC::ProcessString | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 436 of file wxwidgets_dc.cpp.

void wxPLDevDC::PSDrawTextToDC | ( | char * | utf8_string,
|  | bool | drawText
| ) |  |
| virtual

Implements wxPLDevBase.

Definition at line 337 of file wxwidgets_dc.cpp.

void wxPLDevDC::PSSetFont | ( | PLUNICODE | fci | ) |
| virtual

Implements wxPLDevBase.

Definition at line 410 of file wxwidgets_dc.cpp.

void wxPLDevDC::SetColor0 | ( | PLStream * | pls | ) |
| virtual

Implements wxPLDevBase.

Definition at line 242 of file wxwidgets_dc.cpp.

void wxPLDevDC::SetColor1 | ( | PLStream * | pls | ) |
| virtual

Implements wxPLDevBase.

Definition at line 255 of file wxwidgets_dc.cpp.

void wxPLDevDC::SetExternalBuffer | ( | void * | buffer | ) |
| virtual

Implements wxPLDevBase.

Definition at line 269 of file wxwidgets_dc.cpp.

void wxPLDevDC::SetWidth | ( | PLStream * | pls | ) |
| virtual

Implements wxPLDevBase.

Definition at line 230 of file wxwidgets_dc.cpp.

## Member Data Documentation

wxBitmap* wxPLDevDC::m_bitmap
| private

Definition at line 206 of file wxwidgets.h.

wxDC* wxPLDevDC::m_dc
| private

Definition at line 207 of file wxwidgets.h.

The documentation for this class was generated from the following files:

- wxwidgets.h
- wxwidgets_dc.cpp